Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.cdi.impl
Class ProcessServiceCDIImpl

    java.lang.Object
      org.jbpm.kie.services.impl.ProcessServiceImpl
          org.jbpm.services.cdi.impl.ProcessServiceCDIImpl

All Implemented Interfaces:
  VariablesAware, ProcessService

    @ApplicationScoped
    public class ProcessServiceCDIImpl

extends ProcessServiceImpl

Constructor Summary
`ProcessServiceCDIImpl()`

Method Summary
`void` | `setDataService(RuntimeDataService dataService)`
`void` | `setDeploymentService(DeploymentService deploymentService)`

Methods inherited from class org.jbpm.kie.services.impl.ProcessServiceImpl
`abortProcessInstance, abortProcessInstances, abortWorkItem, collectActiveSignals, completeWorkItem, disallowWhenNotActive, disposeRuntimeEngine, execute, execute, getAvailableSignals, getProcessInstance, getProcessInstanceVariable, getProcessInstanceVariables, getWorkItem, getWorkItemByProcessInstance, process, setProcessVariable, setProcessVariables, signalProcessInstance, signalProcessInstances, startProcess, startProcess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessServiceCDIImpl

    public ProcessServiceCDIImpl()

Method Detail

### setDeploymentService

    @Inject
    public void setDeploymentService(DeploymentService deploymentService)

  Overrides:
    `setDeploymentService` in class `ProcessServiceImpl`

### setDataService

    @Inject
    public void setDataService(RuntimeDataService dataService)

  Overrides:
    `setDataService` in class `ProcessServiceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.